package cn.gov.customs.wxjy.base.service.impl;

import cn.gov.customs.wxjy.base.dao.BaseCodeDao;
import cn.gov.customs.wxjy.base.pojo.*;
import cn.gov.customs.wxjy.base.service.BaseCodeService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * @description TODO
 * @author wq
 * @since 2025/11/5 上午10:23
 */
@Service
@RequiredArgsConstructor
public class BaseCodeServiceImpl implements BaseCodeService {

  private final BaseCodeDao mapper;

  @Override
  public List<Country> getCountryList() {
    return this.mapper.getCountryList();
  }

  @Override
  public List<Customs> getCustomsList() {
    return this.mapper.getCustomsList();
  }

  @Override
  public List<Trade> getTradeList() {
    return this.mapper.getTradeList();
  }

  @Override
  public List<Transf> getTransfList() {
    return this.mapper.getTransfList();
  }

  @Override
  public List<Unit> getUnitList() {
    return this.mapper.getUnitList();
  }

  @Override
  public Country getCountryByIso(String isoE) {
    return this.mapper.getCountryByIso(isoE);
  }

  @Override
  public Country getCountryByCode(String countryCode) {
    return this.mapper.getCountryByCode(countryCode);
  }

  @Override
  public Customs getCustomsByCode(String customsCode) {
    return this.mapper.getCustomsByCode(customsCode);
  }

  @Override
  public Trade getTradeByCode(String tradeMode) {
    return this.mapper.getTradeByCode(tradeMode);
  }

  @Override
  public Transf getTransByCode(String trafCode) {
    return this.mapper.getTransByCode(trafCode);
  }

  @Override
  public Unit getUnitByCode(String unitCode) {
    return this.mapper.getUnitByCode(unitCode);
  }
}
